# Uses of Class
org.jmol.api.JmolViewer

Packages that use JmolViewer
Package
Description
org.jmol.api
org.jmol.viewer
org.openscience.jmol.app
org.openscience.jmol.app.janocchio
org.openscience.jmol.app.jmolpanel
org.openscience.jmol.app.jmolpanel.console
org.openscience.jmol.app.surfacetool

## Uses of JmolViewer in org.jmol.api

Methods in org.jmol.api that return JmolViewer
Modifier and Type
Method
Description
`static JmolViewer`
JmolViewer.`allocateViewer(Object container, JmolAdapter jmolAdapter)`
a simpler option
`static JmolViewer`
JmolViewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener)`
legacy only
`protected static JmolViewer`
JmolViewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener, GenericPlatform implementedPlatform)`
This is the older main access point for creating an application or applet vwr.

## Uses of JmolViewer in org.jmol.viewer

Subclasses of JmolViewer in org.jmol.viewer
Modifier and Type
Class
Description
`class`
`Viewer`
Methods in org.jmol.viewer that return JmolViewer
Modifier and Type
Method
Description
`protected static JmolViewer`
Viewer.`allocateViewer(Object display, JmolAdapter modelAdapter, String fullName, URL documentBase, URL codeBase, String commandOptions, JmolStatusListener statusListener, GenericPlatform implementedPlatform)`
old way...

## Uses of JmolViewer in org.openscience.jmol.app

Methods in org.openscience.jmol.app with parameters of type JmolViewer
Modifier and Type
Method
Description
`void`
JmolApp.`startViewer(JmolViewer vwr, SplashInterface splash, boolean isJmolData)`

## Uses of JmolViewer in org.openscience.jmol.app.janocchio

Subclasses of JmolViewer in org.openscience.jmol.app.janocchio
Modifier and Type
Class
Description
`class`
`NMR_Viewer`
Implements some lost interfaces.

## Uses of JmolViewer in org.openscience.jmol.app.jmolpanel

Constructors in org.openscience.jmol.app.jmolpanel with parameters of type JmolViewer
Modifier
Constructor
Description
``
`AboutDialog(JFrame fr, JmolViewer vwr)`

## Uses of JmolViewer in org.openscience.jmol.app.jmolpanel.console

Constructors in org.openscience.jmol.app.jmolpanel.console with parameters of type JmolViewer
Modifier
Constructor
Description
``
`AppConsole(JmolViewer vwr, Container externalContainer, String enabledButtons)`
general entry point

## Uses of JmolViewer in org.openscience.jmol.app.surfacetool

Fields in org.openscience.jmol.app.surfacetool declared as JmolViewer
Modifier and Type
Field
Description
`protected JmolViewer`
SurfaceTool.`vwr`
Constructors in org.openscience.jmol.app.surfacetool with parameters of type JmolViewer
Modifier
Constructor
Description
``
`SurfaceTool(JmolViewer vwr, HistoryFile hfile, String winName, boolean useGUI)`